# Seller Extensions ## Upload a File to PX/CX/SX - [POST /importfile/{TypeCode}/{target}/{uploadSlotId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/product-extensions/post-importfile-typecode-target-uploadslotid.md): Uploads CSV, or XLSX file to Product Extensions, Customer Extensions, or Seller Extensions table. ## Upload a File to PX/CX/SX - [POST /importfile/{TypeCode}/{target}/{uploadSlotId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/customer-extensions/post-importfile-typecode-target-uploadslotid.md): Uploads CSV, or XLSX file to Product Extensions, Customer Extensions, or Seller Extensions table. ## Insert Bulk Seller Extensions - [POST /loaddata/SX](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/seller-extensions/post-loaddata-sx.md): Inserts multiple product extensions to the Master Data table. The name (a name of the category) and sku must be provided for each record in the header and data object within the request body. The /loaddata operation is a very efficient and quick way to insert bulk data to the Master Data table. The main advantage is its greater speed when loading thousands of records (compared to e.g. /integrate). Use the ISO 8601 date format (YYYY-MM-DD) if a date is included in the table. >Please note: > If no joinFields are provided in the request, then this operation will insert entire records. It means that in this case (without joinFields) with /loaddata it is not possible to update just some fields (for this use the /integrate endpoint instead). The source data must always contain the entire row’s content. --- ## Add a Seller Extension - [POST /add/SX](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/seller-extensions/post-add-sx.md): Adds a seller to the Seller Extensions Master Data table. ## Get a Seller Extension - [POST /sellermanager.fetch/{SellerId}/SX/{SXCategory}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/seller-extensions/post-sellermanager.fetch-sellerid-sx-sxcategory.md): Retrieves details of the specified Seller Extension. ## List Seller Extensions - [POST /sellermanager.fetch/*/SX/{SXCategory}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/seller-extensions/post-sellermanager.fetch-*-sx-sxcategory.md): Retrieves all Seller Extensions. You can choose fields to be returned in the response by employing the resultFields or valueFields filter: resultFields: returns key-value pairs as objects. This is the more friendly response compared to valueFields but the server fetches all fields from the database in the backend which might result in a slower performance. See the List Customers' listCustomersResponseExample_resultFields response example. valueFields: returns just an array of values. Use this option if a better performance is required. See the List Customers' listCustomersResponseExample_valueFields response example. ## Update a Seller Extension - [POST /update/SX](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/seller-extensions/post-update-sx.md): Updates sellerId of the specified Seller Extension. The version property must be provided within the oldValues. ## Delete a Seller Extension - [POST /delete/SX](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/seller-extensions/post-delete-sx.md): Deletes the specified (by typedId in the payload) Seller Extension. ## Import a File - [POST /importfile/SX/{SXCategory}/{slotId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/seller-extensions/post-importfile-sx-sxcategory-slotid.md): Uploads a CSV or XLSX file to the Seller Extensions table. Delete the upload slot using the /uploadmanager.deleteslot/{slot_id} (Delete an Upload Slot) endpoint after the file has been uploaded. ## Upload a File to PX/CX/SX - [POST /importfile/{TypeCode}/{target}/{uploadSlotId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/seller-extensions/post-importfile-typecode-target-uploadslotid.md): Uploads CSV, or XLSX file to Product Extensions, Customer Extensions, or Seller Extensions table.